Chapter 10. Db_base_iterator
Prev |  | Next

## Chapter 10. Db_base_iterator

#### Public Members

Member | Description
--- | ---
refresh | Read data from underlying database via its cursor, and update its cached value.
close_cursor | Close its cursor.
set_bulk_buffer | Call this function to modify bulk buffer size.
get_bulk_bufsize | Return current bulk buffer size.
db_base_iterator | Default constructor.
operator= | Iterator assignment operator.
~db_base_iterator | Destructor.
get_bulk_retrieval | Get bulk buffer size.
is_rmw | Get DB_RMW setting.
is_directdb_get | Get direct database get setting.

#### Group

Dbstl Iterator Classes

## refresh

### Function Details

    int refresh(bool from_db=true)

Read data from underlying database via its cursor, and update its cached value.

#### Parameters

##### from_db

Whether retrieve data from database rather than using the cached data in this iterator.

#### Return Value

0 if succeeded. Otherwise an DbstlException exception will be thrown.

### Class

db_base_iterator

Prev |  | Next
Chapter 9. Dbstl Iterator Classes | Home | close_cursor